Bug 43806 - Different languages for different menu options and labels.
Summary: Different languages for different menu options and labels.
Status: VERIFIED FIXED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: IDE localization (show other bugs)
Version: 6.0.2 (C7SR1)
Hardware: Macintosh Mac OS
: Normal trivial
Target Milestone: (C8)
Assignee: Marius Ungureanu
URL:
Depends on:
Blocks:
 
Reported: 2016-08-27 07:54 UTC by Al Clark [MSFT]
Modified: 2016-09-06 20:41 UTC (History)
10 users (show)

See Also:
Tags: C8SR1
Is this bug a regression?: No
Last known good build:


Attachments
Screenshots (338.91 KB, application/zip)
2016-08-27 07:54 UTC, Al Clark [MSFT]
Details

Description Al Clark [MSFT] 2016-08-27 07:54:30 UTC
Created attachment 17225 [details]
Screenshots

== Overview

Different menu options and labels showing different languages on the same screen.  Applies to OS X menu / task bar, IDE option menus, labels, etc.

== Steps to Replicate

Open Xamarin Studio without amending default User Interface Language.

== Expected Behaviour

IDE displays in English (or in native OS language? Unsure.)

== Actual Behaviour

Different menu options / labels are in English, French, German, Korean (?) and possibly others.

== Resolution / workaround

Manually set language:

Xamarin Studio > Preferences... > Visual Style > User Interface Language > English (or desired language)

== Other Information

See screenshots.  Presumably on latest Stable but unconfirmed.  Customer using macOS Sierra.
Comment 1 Al Clark [MSFT] 2016-08-30 10:13:40 UTC
Full version info:

=== Xamarin Studio Community ===

Version 6.0.2 (build 73)
Installation UUID: acf065af-cc1b-4ab7-85c6-db393264da4d
Runtime:
Mono 4.4.2 (mono-4.4.0-branch-c7sr1/f72fe45) (64-bit)
GTK+ 2.24.23 (Raleigh theme)

Package version: 404020011

=== Xamarin.Profiler ===

Not Installed

=== Apple Developer Tools ===

Not Found

=== Xamarin.Mac ===

Version: 2.8.2.22 (Xamarin Studio Community)

=== Xamarin.Android ===

Version: 6.1.2.21 (Xamarin Studio Community)
Android SDK: /Users/daniel/Library/Developer/Xamarin/android-sdk-macosx
Supported Android versions:
6.0 (API level 23)

SDK Tools Version: 25.1.2
SDK Platform Tools Version: 24.0.0
SDK Build Tools Version: 23.0.2

Java SDK: /usr
java version "1.8.0_102"
Java(TM) SE Runtime Environment (build 1.8.0_102-b14)
Java HotSpot(TM) 64-Bit Server VM (build 25.102-b14, mixed mode)

Android Designer EPL code available here:
https://github.com/xamarin/AndroidDesigner.EPL

=== Xamarin Android Player ===

Not Installed

=== Xamarin.iOS ===

Version: 9.8.2.22 (Xamarin Studio Community)
Hash: f37444a
Branch: cycle7-sr1
Build date: 2016-07-28 12:17:02-0400

=== Build Information ===

Release ID: 600020073
Git revision: a6f7a24a9723a2d4f5d33c176615b0d44703ab5b
Build date: 2016-07-26 13:36:15-04
Xamarin addins: f5acb37866a0141bc5ddbe95118f18dae4014568
Build lane: monodevelop-lion-cycle7-sr1

=== Operating System ===

Mac OS X 10.12.0
Darwin Daniels-MacBook-Pro.local 16.0.0 Darwin Kernel Version 16.0.0
Thu Aug 18 18:25:11 PDT 2016
root:xnu-3789.1.29~5/RELEASE_X86_64 x86_64
Comment 3 Marius Ungureanu 2016-09-02 22:23:37 UTC
I don't see the issue the customer is having locally. I'm on Sierra too. One peculiar behaviour I see is that the (Default) setting of XS will not pick up the _primary_ language.

In my tested case, it was English as primary and French as secondary, and default ended up as French in XS.

I don't see mixed language. Also, it works just fine in El Capitan.
Comment 4 Marius Ungureanu 2016-09-03 16:37:55 UTC
Update: The customer has English, French, German, Korean in the language pane of OS X. We need to see why this happens. The customer's issue has been resolved for now.
Comment 5 Sachin Saini 2016-09-06 13:14:06 UTC
As per comment 4, changing the bug status into 'Resolved'
Comment 6 Sachin Saini 2016-09-06 13:15:39 UTC
I have checked this issue with builds (XamarinStudio-6.1.0.5414) attached with card on OS X Sierra following by the bellow steps and observed that its working fine.

Case 1:-When Manually set language from XS.
Steps:-
1.Open XS.
2.Goto Prefences->Visual Style
3.Set any language from User interface lanuage dropdown.
4.Check task bar, IDE option menus, labels.

Case 2:-When default lanuage set from XS and XS take OS native lanuage.  
Steps:-
1.Open XS.
2.Goto Prefences->Visual Style
3.Set "Default" from User interface lanuage dropdown.
4.Change Mac OS native language English to other language.
5.Restart XS.
6.Check task bar, IDE option menus, labels.
 
Screencast: http://www.screencast.com/t/FT5lh4Y3E7T
Environment info: https://gist.github.com/sachins360/2fae10620010feb5c75f4c1c4fc76649

I will verify this issue once it will fix in release builds.

Thanks!
Comment 7 Marius Ungureanu 2016-09-06 14:14:30 UTC
Hey, your XS version is supposed to be 5393 (from the trello board).

On the other hand, please use the test case written above when testing with Language = Default.

In the System preferences, have exactly this:
English - Primary
French
German
Korean

And test with that. On El Capitan, it'll pick up English correctly, on Sierra it'll show mixd languages as in the screenshot in Comment #0.
Comment 8 Marius Ungureanu 2016-09-06 14:16:42 UTC
Sorry about the XS version, I looked at the wrong build page. Disregard that part.
Comment 9 Kyle White 2016-09-06 14:39:58 UTC
Reopening as the patch hasn't landed on master or c8 - the PR bot will resolve the bug when the PR is merged.
Comment 11 Kyle White 2016-09-06 20:38:51 UTC
C8 PR was merged.
https://github.com/mono/monodevelop/pull/1612

Master is still open.
https://github.com/mono/monodevelop/pull/1611
Comment 12 Kyle White 2016-09-06 20:41:52 UTC
I have verified this issue on macOS Sierra with XamarinStudio-6.1.0.5429.dmg - 105cb64488156fa2754873755a5c7dfe428bd22c

https://wrench.internalx.com/Wrench/ViewLane.aspx?lane_id=3509&host_id=306&revision_id=801563

Notice (2018-05-21): bugzilla.xamarin.com will be switching to read-only mode on Thursday, 2018-05-25 22:00 UTC.

Please join us on Visual Studio Developer Community and GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs and copy them to the new locations as needed for follow-up. The See Also field on each Bugzilla bug will be updated with a link to its new location when applicable.

After Bugzilla is read-only, if you have new information to add for a bug that does not yet have a matching issue on Developer Community or GitHub, you can create a follow-up issue in the new location. Copy and paste the title and description from this bug, and then add your new details. You can get a pre-formatted version of the title and description here:

In special cases you might also want the comments:

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Note You need to log in before you can comment on or make changes to this bug.